Subject: Re: [alto] Opsdir last call review of draft-ietf-alto-unified-props-new-18

From: Jensen Zhang <[email-masked]>
Date: Tue, 7 Sep 2021 19:31:25 +0800

Hi Scott,

Thanks for your review. About your questions, please see my answers inline.

Best regards,
Jensen

On Wed, Aug 25, 2021 at 10:08 PM Scott Bradner via Datatracker <
[email-masked]> wrote:

> Reviewer: Scott Bradner
> Review result: Ready
>
> This is an OPD-DIR review of ALTO Extension: Entity Property Maps
> (draft-ietf-alto-unified-props-new)
>
> review conclusion: Ready with questions
>
> This document describes extensions to the ALTO protocol to support
> additional
> functionality, as such this document describes technology that will make
> operating a network better (not necessary easier since there is more to do)
>
> I did not find any particular operational issues issues
>
> two questions though
> 1/ with language like the following
> “this document specifies a protocol extension for defining and retrieving
> ALTO
> properties” and “The concept of an ALTO Entity generalizes the concept of
> an
> ALTO Endpoint defined in Section 2.1 of [RFC7285].”
>
> I would have assumed that the new RFC would update RFC 7285 but the header
> of
> the ID does not say that it updates anything - if this has already been
> discussed and decided then fine but it sure looks like an update to me
>

For "update", my understanding is that the new document must change the
existing specification in the original RFC.
This document does not update RFC 7285 but just adds a new ALTO service
like what RFC 8895 does. All the proposed extensions
are just based on the existing service framework defined by RFC 7285.

>
> 2/ section 12.2 describes the "ALTO Entity Domain Registry" and
> specifically
> says that additions to the registry require "IETF Review" but section 12.3,
> which describes the "ALTO Entity Type Registry" and says what info must be
> included in any request to add items to the registry but does not say
> what, if
> any review is needed - leaving it open ended seems wrong to me
>

Thanks for the catch. You are right. Additions to both registries require
"IETF Review". We will update Sec 12.3 to add this.

> Scott